#!/bin/bash -e

if [ -n "$INTERVAL_SECONDS" ] && [[ "$INTERVAL_SECONDS" =~ [^0-9] ]]; then
    echo "Invalid INTERVAL_SECONDS: $INTERVAL_SECONDS"
    exit 1
fi

if [ -n "$INTERVAL_SECONDS_IF_NOT_PROVISIONED" ] && [[ "$INTERVAL_SECONDS_IF_NOT_PROVISIONED" =~ [^0-9] ]]; then
    echo "Invalid INTERVAL_SECONDS_IF_NOT_PROVISIONED: $INTERVAL_SECONDS_IF_NOT_PROVISIONED"
    exit 1
fi

# if INTERVAL_SECONDS or INTERVAL_SECONDS_IF_NOT_PROVISIONED is set, the string after the '+' is
# used, otherwise a blank string
eval exec /usr/bin/check_nsx_licensing_status_with_lastline_cloud.py \
        --config-file \
            "$WRITABLE_BASE_DIR/etc/lastline/logging.ini" \
            "$WRITABLE_BASE_DIR/etc/lastline/papi_client.ini" \
        ${INTERVAL_SECONDS+"--interval-seconds $INTERVAL_SECONDS"} \
        ${INTERVAL_SECONDS_IF_NOT_PROVISIONED+"--interval-seconds-if-not-provisioned $INTERVAL_SECONDS_IF_NOT_PROVISIONED"}
